=== debian/control ===
Source: zziplib
Section: libs
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 7), autotools-dev, pkg-config, zlib1g-dev, python
Standards-Version: 3.8.2
Homepage: http://zziplib.sourceforge.net
Vcs-Browser: http://git.printk.org/?p=liuqi/debian/zziplib.git;a=summary
Vcs-git: git://git.printk.org/liuqi/debian/zziplib.git
XSBC-Bugtracker: http://zziplib.sourceforge.net

Package: zziplib-bin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library providing read access on ZIP-archives - binaries
 The zziplib library is intentionally lightweight, it offers the ability
 to easily extract data from files archived in a single zip file.
 Applications can bundle files into a single zip archive and access them.
 The implementation is based only on the (free) subset of compression
 with the zlib algorithm which is actually used by the zip/unzip tools.
 .
 This package contains some useful binaries to extract data from zip
 archives.

Package: libzzip-0-13
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libzzip-0-12
Conflicts: libzzip-0-12
Description: library providing read access on ZIP-archives - library
 The zziplib library is intentionally lightweight, it offers the ability
 to easily extract data from files archived in a single zip file.
 Applications can bundle files into a single zip archive and access them.
 The implementation is based only on the (free) subset of compression
 with the zlib algorithm which is actually used by the zip/unzip tools.
 .
 This package contains the zziplib runtime library.

Package: libzzip-dev
Section: libdevel
Architecture: any
Depends: libzzip-0-13 (= ${binary:Version})
Description: library providing read access on ZIP-archives - development
 The zziplib library is intentionally lightweight, it offers the ability
 to easily extract data from files archived in a single zip file.
 Applications can bundle files into a single zip archive and access them.
 The implementation is based only on the (free) subset of compression
 with the zlib algorithm which is actually used by the zip/unzip tools.
 .
 This package contains the header files and static library needed to
 compile applications that use zziplib.
