=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	-test -r /usr/share/misc/config.sub && \
	cp -f /usr/share/misc/config.sub config.sub && \
	cp -f /usr/share/misc/config.sub zziplib/config.sub
	
	-test -r /usr/share/misc/config.guess && \
	cp -f /usr/share/misc/config.guess config.guess && \
	cp -f /usr/share/misc/config.guess zziplib/config.guess
	
	CFLAGS="$(CFLAGS)" ./configure \
			--host=$(DEB_HOST_GNU_TYPE) \
			--build=$(DEB_BUILD_GNU_TYPE) \
			--prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info \
			--datadir=\$${prefix}/share

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	$(MAKE)
	$(MAKE) docs

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp 
	rm -f config.sub config.guess zziplib/config.sub zziplib/config.guess docs/zzipdoc/*.pyc
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	# Move all files in their corresponding package
	dh_install --list-missing -s --sourcedir=debian/tmp

	cd $(CURDIR)/debian/libzzip-dev/usr/share/man/ \
		&& tar xf $(CURDIR)/docs/zziplib-manpages.tar

	cd $(CURDIR)/debian/libzzip-dev/usr/share/man/man3/ \
		&& patch -p1 < $(CURDIR)/debian/man3.patch

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	cd $(CURDIR)/debian/zziplib-bin/usr/share/man/man1/ \
		&& ln -s zziplib-bin.1.gz zzcat.1.gz \
		&& ln -s zziplib-bin.1.gz zzdir.1.gz \
		&& ln -s zziplib-bin.1.gz zzxorcat.1.gz \
		&& ln -s zziplib-bin.1.gz zzxordir.1.gz \
		&& ln -s zziplib-bin.1.gz zzxorcopy.1.gz
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
