## zziplib 0.13.62

=== debian/changelog ===
zziplib (0.13.62-3.3+deb11u1) bullseye; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2020-18442
    Because of mishandling a return value, an attacker might cause a
    denial of service due to an infinite loop.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 26 Dec 2021 00:03:02 +0100

zziplib (0.13.62-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using python2. Closes: #856566, #967237.
  * Update home page. Closes: #863892.
  * Update watch file.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Mar 2021 09:54:37 +0100

zziplib (0.13.62-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Invalid memory access in zzip_disk_fread (CVE-2018-6381) (Closes: #889096)
  * Reject the ZIP file and report it as corrupt if the size of the central
    directory and/or the offset of start of central directory point beyond the
    end of the ZIP file (CVE-2018-6484, CVE-2018-6541, CVE-2018-6869)
    (Closes: #889089)
  * bus error in zzip_disk_findfirst function in zzip/mmapped.c
    (CVE-2018-6540) (Closes: #923659)
  * out of bound read in mmapped.c:zzip_disk_fread() causes crash
    (CVE-2018-7725) (Closes: #913165)
  * Bus error in zip.c:__zzip_parse_root_directory() cause crash via crafted
    zip file (CVE-2018-7726) (Closes: #913165)
  * Memory leak triggered in the function __zzip_parse_root_directory in zip.c
    (CVE-2018-16548) (Closes: #910335)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 04 Mar 2019 22:43:14 +0100

zziplib (0.13.62-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix multiple security issues (Closes: #854727). Thanks to Josef
    Moellers of SuSE for the patches!

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 04 Jun 2017 09:03:20 +0200

zziplib (0.13.62-3) unstable; urgency=medium

  * debian/rules: Lintian error cleaning pkg-config-bad-directive

 -- Scott Howard <showard@debian.org>  Sun, 24 Aug 2014 22:20:40 -0400

zziplib (0.13.62-2) unstable; urgency=low

  * Merge in Ubuntu changes to use dh-autoreconf to ensure package
    remains buildable across future ports. Thanks to Steve Langasek.
    (Closes: #736810)

 -- Scott Howard <showard@debian.org>  Sun, 26 Jan 2014 18:54:39 -0500

zziplib (0.13.62-1) unstable; urgency=low

  * New upstream release (Closes: #709437)
  * Updated symbols file.
  * export-dynamic.patch dropped, accepted upstream

 -- Scott Howard <showard@debian.org>  Mon, 20 Jan 2014 17:12:51 -0500

zziplib (0.13.56-2) unstable; urgency=low

  * Adopting package (Closes: #733144)
  * use source/format 3.0 (quilt), and separate debian changes into
    patch "export-dynamic.patch"
  * simple dh rules
    - multiarch enabled
    - use --with autotools-dev (Closes: #717837)
  * build depend on zip so build checks run
  * added symbols file
  * No longer conflict with zziplib-0-12 (no reason to conflict)
    (Closes: #565982)
  * Removed unneeded -lz from .pc file (Closes: #471065)
    - debian/patches/remove_extra_z_linking.patch

 -- Scott Howard <showard@debian.org>  Tue, 07 Jan 2014 13:57:57 -0500

zziplib (0.13.56-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: x86_64-linux-gnu-gcc: error: unrecognized option 
    '--export-dynamic'": apply patch from Ubuntu / Matthias Klose: 
    - Pass correct linker option. LP: #832895. Closes: #625064.
  * Fix "Emptying dependency_libs in .la files": use recipe provided by Neil
    Williams in the bug report. Closes: #633335

 -- gregor herrmann <gregoa@debian.org>  Thu, 06 Oct 2011 20:07:37 +0200
