## zziplib 0.13.72%2Bdfsg.1

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg.*//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/gdraheim/zziplib/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
