=== debian/changelog ===
zziplib (0.13.72+dfsg.1-1.2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:36:07 +0000

zziplib (0.13.72+dfsg.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063243

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 13:01:03 +0000

zziplib (0.13.72+dfsg.1-1.1) unstable; urgency=medium

  * Non-Maintainer Upload.
  * Fix (i386) cross-compilation.

 -- Lukas Märdian <luk@slyon.de>  Mon, 21 Jun 2021 14:42:07 +0200

zziplib (0.13.72+dfsg.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #938924)
    + switch to CMake
    + drop .la libtool files
    + refresh d/p/zziplib-unzipcat-NULL-name.patch
    + drop d/p/Avoid-memory-leak-from-__zzip_parse_root_directory-1.patch
       and d/p/Avoid-memory-leak-from-__zzip_parse_root_directory-2.patch
       and d/p/One-more-free-to-avoid-memory-leak.patch:
      applied upstream in 0e1dadb, d2e5d5c and 9411bde
    + drop patches applied upstream:
      debian/patches/merge-CVE-2018-6381.patch-from-jmoellers-12.patch
      debian/patches/zziplib-CVE-2017-5974.patch
      debian/patches/zziplib-CVE-2017-5975.patch
      debian/patches/zziplib-CVE-2017-5976.patch
      debian/patches/zziplib-CVE-2017-5978.patch
      debian/patches/zziplib-CVE-2017-5979.patch
      debian/patches/zziplib-CVE-2017-5981.patch
      debian/patches/need-to-check-on-endbuf-for-stored-files-15.patch
      debian/patches/Reject-the-ZIP-file-and-report-it-as-corrupt-if-the-.patch
      debian/patches/check-rootseek-after-correction-41.patch
      debian/patches/check-rootseek-and-rootsize-to-be-positive-27.patch
      debian/patches/check-zlib-space-to-be-within-buffer-39.patch
      debian/patches/fix-for-zz_rootsize-41.patch
      debian/patches/need-to-check-on-endbuf-for-stored-files-15.patch

 -- Lukas Märdian <luk@slyon.de>  Fri, 18 Jun 2021 15:57:44 +0200
