=== debian/control ===
--- 
+++ 
@@ -1,13 +1,21 @@
 Source: zziplib
 Section: libs
 Priority: optional
-Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: debhelper (>= 7), autotools-dev, pkg-config, zlib1g-dev, python
-Standards-Version: 3.8.2
-Homepage: http://zziplib.sourceforge.net
-Vcs-Browser: http://git.printk.org/?p=liuqi/debian/zziplib.git;a=summary
-Vcs-git: git://git.printk.org/liuqi/debian/zziplib.git
-XSBC-Bugtracker: http://zziplib.sourceforge.net
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Scott Howard <showard@debian.org>
+Uploaders: Lukas Märdian <luk@slyon.de>
+Build-Depends: dpkg-dev (>= 1.22.5),
+ debhelper-compat (= 13),
+ pkg-config,
+ zlib1g-dev,
+ python3:native,
+ zip,
+ dh-exec,
+ cmake,
+Standards-Version: 4.5.1
+Homepage: https://github.com/gdraheim
+Vcs-Browser: https://salsa.debian.org/slyon/zzip
+Vcs-git: https://salsa.debian.org/slyon/zzip.git
 
 Package: zziplib-bin
 Section: utils
@@ -23,12 +31,14 @@
  This package contains some useful binaries to extract data from zip
  archives.
 
-Package: libzzip-0-13
-Section: libs
+Package: libzzip-0-13t64
+Provides: ${t64:Provides}
+Replaces: libzzip-0-13
+Breaks: libzzip-0-13 (<< ${source:Version})
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libzzip-0-12
-Conflicts: libzzip-0-12
 Description: library providing read access on ZIP-archives - library
  The zziplib library is intentionally lightweight, it offers the ability
  to easily extract data from files archived in a single zip file.
@@ -41,7 +51,7 @@
 Package: libzzip-dev
 Section: libdevel
 Architecture: any
-Depends: libzzip-0-13 (= ${binary:Version})
+Depends: libzzip-0-13t64 (= ${binary:Version}), ${misc:Depends}
 Description: library providing read access on ZIP-archives - development
  The zziplib library is intentionally lightweight, it offers the ability
  to easily extract data from files archived in a single zip file.
